package com.bonus.canteen.core.supply.vo;

import com.bonus.canteen.core.supply.po.DrpFinalBidsQuotePageModel;
import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel("决标报价")
public class DrpFinalBidsQuotePageVO implements Serializable {
   @ApiModelProperty("询价明细id")
   private Long inquiryDetailId;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品")
   private String materialName;
   @ApiModelProperty("货品类别")
   private String categoryName;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("最低价")
   private Integer lowestPrice;
   @ApiModelProperty("供应商报价详情列表")
   List<DrpFinalBidsQuotePageModel> detailList;
   @ApiModelProperty("决标时间")
   private LocalDateTime bidTime;
   @ApiModelProperty("指导价格")
   private Integer guidePrice;
   @ApiModelProperty("定价时间")
   private LocalDateTime crtime;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getInquiryDetailId() {
      return this.inquiryDetailId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Integer getLowestPrice() {
      return this.lowestPrice;
   }

   public List<DrpFinalBidsQuotePageModel> getDetailList() {
      return this.detailList;
   }

   public LocalDateTime getBidTime() {
      return this.bidTime;
   }

   public Integer getGuidePrice() {
      return this.guidePrice;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public void setInquiryDetailId(final Long inquiryDetailId) {
      this.inquiryDetailId = inquiryDetailId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setLowestPrice(final Integer lowestPrice) {
      this.lowestPrice = lowestPrice;
   }

   public void setDetailList(final List<DrpFinalBidsQuotePageModel> detailList) {
      this.detailList = detailList;
   }

   public void setBidTime(final LocalDateTime bidTime) {
      this.bidTime = bidTime;
   }

   public void setGuidePrice(final Integer guidePrice) {
      this.guidePrice = guidePrice;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }


   public String toString() {
      Long var10000 = this.getInquiryDetailId();
      return "DrpFinalBidsQuotePageVO(inquiryDetailId=" + var10000 + ", materialId=" + this.getMaterialId() + ", materialCode=" + this.getMaterialCode() + ", materialName=" + this.getMaterialName() + ", categoryName=" + this.getCategoryName() + ", purNum=" + String.valueOf(this.getPurNum()) + ", unitId=" + this.getUnitId() + ", unitName=" + this.getUnitName() + ", imageUrl=" + this.getImageUrl() + ", lowestPrice=" + this.getLowestPrice() + ", detailList=" + String.valueOf(this.getDetailList()) + ", bidTime=" + String.valueOf(this.getBidTime()) + ", guidePrice=" + this.getGuidePrice() + ", crtime=" + String.valueOf(this.getCrtime()) + ")";
   }
}
